/*  DS
 *  Copyright (C) Joakim Kolsjö and Anders Asplund 2005
 *	This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.

 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 
 */

#ifndef MFONT_H
#define MFONT_H

#include "common.h"
#include "SDL/SDL_ttf.h"

namespace DS
{
#if 0
	class Font {
	public:
		Font(const char* pFile, int Size);
		~Font();
		void SetColor(int r, int g, int b);
		void SetColor(SDL_Color* pColor);
		void SetTarget(DS::Surface* pTarget);
		void Render(int x, int y, const char* pText);
		DS::Surface* RenderNew(const char* pText);
	private:
		SDL_Color m_FontColor;
		TTF_Font* m_pFont;
		DS::Surface* m_pTarget;
	};
	
	class MFont {
	public:
		~MFont();
		static void Instance();
		static MFont* GetPointer();
		void LoadFont(const char* pFile, int Size);
		TFont* GetFont(const char* pIdentity);
	protected:
		MFont();
	private:
		std::map<std::string, Font*> m_FontMap;
		static MFont* m_pInstance;
	};
#endif
}

#endif
